Check pipeline stage usage and reassignment alternatives
curl --request GET \
--url https://your-instance.example.com/api/pipelines/stages/{stageId}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/pipelines/stages/{stageId}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/pipelines/stages/{stageId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"stageId": "67f0a0b0c0d0e0f0a0b0c0d0",
"stageName": "New",
"pipelineType": "Contact",
"isInUse": true,
"recordsCount": 7,
"hasAlternatives": true,
"alternatives": [
{
"id": "67f0a0b0c0d0e0f0a0b0c0d1",
"name": "Qualified",
"color": "#10B981"
}
]
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}{
"error": "Pipeline not found"
}Pipelines
Check pipeline stage usage and reassignment alternatives
Returns whether the stage still has assigned records and lists the other active stages on the same pipeline that the records can be reassigned to.
GET
/
api
/
pipelines
/
stages
/
{stageId}
/
usage
Check pipeline stage usage and reassignment alternatives
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I